[typo] How to lock Typo to Rails 1.0?

Rob Sanheim rsanheim at gmail.com
Wed Mar 29 22:55:24 EST 2006


On 3/29/06, Kevin Ballard <kevin at sb.org> wrote:
[snip]
> Near silence? I take it you never even bothered to drop by the IRC
> channel #typo (on freenode) where we've been discussing this for some
> time. The problem is that there's apparently no way to maintain both
> 1.0 and 1.1 compatibility with Typo (don't know why, but that's what
> we've discovered) and so we decided to hold off updating until 1.1
> was actually out the door. And now that it is, we've been working on
> getting Typo running on it. If you look at the IRC channel we have
> instructions for locking Typo to 1.0 rails (using the `rake
> freeze_edge REVISION=3303` trick) and warnings that Typo trunk only
> works on 1.0. And once our new branch has been verified to work on
> Rails 1.1, we'll update trunk and tell everybody to upgrade rails.

First off, thanks to everyone who is working on Typo in their spare time.

I think one major thing that could've helped prevent this problem was
having a page up somewhere to point people to detailing the problems
with Rails 1.1 and Typo and showing how to freeze at 1.0.  I dunno how
the conflict has been known, but I know I only saw the topic discussed
on this list a few days before 1.1 dropped.  IRC is great for some
people, but its really no substitute for a FAQ or wiki to point people
to reach the wider user base.

- Rob
--
http://www.robsanheim.com/
http://www.ajaxian.com/



More information about the Typo-list mailing list